The pfSense Store

Author Topic: update from 2.3 to 2.3.1  (Read 5367 times)

0 Members and 1 Guest are viewing this topic.

Offline Jamerson

  • Sr. Member
  • ****
  • Posts: 365
  • Karma: +4/-0
    • View Profile
update from 2.3 to 2.3.1
« on: May 18, 2016, 03:59:44 pm »
Hi guys,
for a new installation I've installed 2.2 and updated to 2.3.
everything works fine after the update . one issue is I can't the firewall updated to 2.3.1 its keeps failing .
any suggestions how to troubleshot this ?

thank yo

Offline SlackerDude

  • Newbie
  • *
  • Posts: 13
  • Karma: +1/-0
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #1 on: May 18, 2016, 04:24:41 pm »
Since I am experiencing the same issue, an inability to upgrade from 2.3 to 2.3.1, I'm going to assume either you and I are doing the same wrong thing, or there is actually something that may have slipped out the door.   :-\

Offline cmb

  • Hero Member
  • *****
  • Posts: 11230
  • Karma: +880/-7
    • View Profile
    • Chris Buechler
Re: update from 2.3 to 2.3.1
« Reply #2 on: May 18, 2016, 04:27:45 pm »
Upgrades fine in all testing, and all the files are in place now. What specifically are you getting?

Offline kpa

  • Hero Member
  • *****
  • Posts: 961
  • Karma: +106/-4
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #3 on: May 18, 2016, 04:29:25 pm »
Try the upgrade again. For me it failed once saying that the repository upgrade failed. Everything worked fine on the second try.

Offline Jamerson

  • Sr. Member
  • ****
  • Posts: 365
  • Karma: +4/-0
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #4 on: May 18, 2016, 04:30:34 pm »
I am getting the same error.
on the production the update went fine no issue .

Offline SlackerDude

  • Newbie
  • *
  • Posts: 13
  • Karma: +1/-0
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #5 on: May 18, 2016, 04:32:08 pm »
Wow! I did not expect a response so quickly.  After five attempts, I am pasting from the update screen:

>>> Updating repositories metadata...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
>>> Upgrading pkg... failed.
Failed

Offline kpa

  • Hero Member
  • *****
  • Posts: 961
  • Karma: +106/-4
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #6 on: May 18, 2016, 04:34:01 pm »
I guess the package servers are being hammered at the moment since you're getting an error at a different stage than I did. Give it more tries.
« Last Edit: May 18, 2016, 04:51:14 pm by kpa »

Offline Jamerson

  • Sr. Member
  • ****
  • Posts: 365
  • Karma: +4/-0
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #7 on: May 18, 2016, 04:36:10 pm »
I've shut down the pfsense and turn it on.
after that the updates wents fine .
don't know why but it works for me


Offline cmb

  • Hero Member
  • *****
  • Posts: 11230
  • Karma: +880/-7
    • View Profile
    • Chris Buechler
Re: update from 2.3 to 2.3.1
« Reply #8 on: May 18, 2016, 04:38:38 pm »
If it spits out failed, there, go to SSH, option 8, and run:

Code: [Select]
pfSense-upgrade -d
and post the output.

Offline SlackerDude

  • Newbie
  • *
  • Posts: 13
  • Karma: +1/-0
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #9 on: May 18, 2016, 04:45:21 pm »
Rebooting the system did nothing for me.  Here is the output from the upgrade command via ssh:

root: pfSense-upgrade -d
>>> Updating repositories metadata...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
>>> Upgrading pkg...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
New version of pkg detected; it needs to be installed first.
The following 1 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
        pkg: 1.6.2 -> 1.7.2_2 [pfSense]

The process will require 91 KiB more space.
2 MiB to be downloaded.
pkg: http://pkg.pfsense.org/pfSense_v2_3_0_amd64-pfSense_v2_3_0/All/pkg-1.7.2_2.txz: Not Found

I suppose I'll wait a bit and try again on the chance that I won't be competing for a spot at the trough .  ;D

UPDATE: going to http://pkg.pfsense.org/pfSense_v2_3_0_amd64-pfSense_v2_3_0/All/, I see the file pkg-1.6.2_2.txz but not pkg-1.7.2_2.txz.
« Last Edit: May 18, 2016, 04:50:55 pm by SlackerDude »

Offline vectr0n

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #10 on: May 18, 2016, 04:51:38 pm »
Also seeing the same issue with 2.3_1 -> 2.3.1

[2.3-RELEASE][root@fw0.<removed>.net]/root: pkg update
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
[2.3-RELEASE][root@fw0.<removed>.net]/root: pkg upgrade
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
New version of pkg detected; it needs to be installed first.
The following 1 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
        pkg: 1.6.2 -> 1.7.2_2 [pfSense]

The process will require 91 KiB more space.
2 MiB to be downloaded.

Proceed with this action? [y/N]: y
pkg: http://pkg.pfsense.org/pfSense_v2_3_0_amd64-pfSense_v2_3_0/All/pkg-1.7.2_2.txz: Not Found

UPDATE:

[2.3-RELEASE][root@fw0.<removed>.net]/root: pkg add https://pkg.pfsense.org/pfSense_v2_3_1_amd64-pfSense_v2_3_1/All/pkg-1.7.2_2.txz
Fetching pkg-1.7.2_2.txz: 100%    2 MiB   2.6MB/s    00:01   
Installing pkg-1.7.2_2...
the most recent version of pkg-1.6.2 is already installed
« Last Edit: May 18, 2016, 05:28:35 pm by vectr0n »

Offline turker

  • Full Member
  • ***
  • Posts: 116
  • Karma: +2/-0
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #11 on: May 18, 2016, 04:59:17 pm »
Code: [Select]
>>> Updating repositories metadata...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
>>> Upgrading pkg...
Updating pfSense-core repository catalogue...
pfSense-core repository is up-to-date.
Updating pfSense repository catalogue...
pfSense repository is up-to-date.
All repositories are up-to-date.
New version of pkg detected; it needs to be installed first.
The following 1 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
pkg: 1.6.2 -> 1.7.2_2 [pfSense]

The process will require 91 KiB more space.
2 MiB to be downloaded.
pkg: http://pkg.pfsense.org/pfSense_v2_3_0_amd64-pfSense_v2_3_0/All/pkg-1.7.2_2.txz: Not Found

Offline padenom

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #12 on: May 18, 2016, 05:25:17 pm »
....
The following 1 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
        pkg: 1.6.2 -> 1.7.2_2 [pfSense]

The process will require 91 KiB more space.
2 MiB to be downloaded.
pkg: http://pkg.pfsense.org/pfSense_v2_3_0_amd64-pfSense_v2_3_0/All/pkg-1.7.2_2.txz: Not Found
I'm getting the same behaviour on my side. However, why does the system look in pkg: http://pkg.pfsense.org/pfSense_v2_3_0_amd64-pfSense_v2_3_0/All and not in http://pkg.pfsense.org/pfSense_v2_3_1_amd64-pfSense_v2_3_1/All/ directory?

PS: I'm new to pkg.

Offline kpa

  • Hero Member
  • *****
  • Posts: 961
  • Karma: +106/-4
    • View Profile
Re: update from 2.3 to 2.3.1
« Reply #13 on: May 18, 2016, 05:33:27 pm »
The upgrade fails to switch to the correct repository for some reason. On the second try when my upgrade succeeded  I witnessed a message that said "Repository x has a wrong packagesite, need to re-create database" or something like that and it then proceeded to re-download all the repository catalogues using the correct addresses.
« Last Edit: May 18, 2016, 05:37:11 pm by kpa »

Offline cmb

  • Hero Member
  • *****
  • Posts: 11230
  • Karma: +880/-7
    • View Profile
    • Chris Buechler
Re: update from 2.3 to 2.3.1
« Reply #14 on: May 18, 2016, 05:33:35 pm »
Oh, that should work now. Thanks